<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/common_bgcolor"
    android:paddingBottom="60.0dip"
    android:paddingTop="50.0dip"    
    android:orientation="vertical" >

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_gravity="center"
        android:gravity="top"
        android:visibility="visible"
         >

         <TextView 
            android:id="@+id/titleView"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:gravity="center"
            android:text="共享文件"
            android:textColor="@android:color/black"
            android:textSize="32sp"
            />          
 
        <TextView 
            android:id="@+id/nameView"
android:layout_below="@id/titleView"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="20dp"        
            android:gravity="center"
            android:text="正在上传文件请稍候..."
            android:textColor="@android:color/black"
            
            />
                
    </RelativeLayout>

     <RelativeLayout
        android:id="@+id/button_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_alignParentBottom="true"
        android:visibility="visible"
         >
         <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dip"
                android:orientation="vertical" >
                 <Button
                    android:id="@+id/btn_send"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:layout_marginBottom="6dp"
                    android:layout_marginTop="6dp"
                   android:layout_marginLeft="80dp"
                    android:layout_marginRight="80dp"                
                    android:background="@drawable/button_logout_bg"
                    android:text="下载文件"
                    android:textColor="@color/common_text_button"
                    android:textSize="18sp" />
 
                <Button
                    android:id="@+id/btn_cancel"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:layout_marginBottom="12dp"
                    android:layout_marginLeft="80dp"
                    android:layout_marginRight="80dp"
                    android:layout_marginTop="6dp"
                    android:background="@drawable/button_login_bg"
                    android:text="拒绝接收"
                    android:textColor="@color/common_text_button"
                    android:textSize="18sp" />
            </LinearLayout>    
    </RelativeLayout>     
    
    <RelativeLayout
        android:id="@+id/loading_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:gravity="center"
        android:visibility="visible"
         >
        
        <ProgressBar
            android:id="@+id/progressBar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:layout_height="wrap_content"
            android:max="100"
            android:layout_centerHorizontal="true" />
        <TextView 
            android:id="@+id/statusView"
            android:layout_below="@id/progressBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="正在下载文件请稍候..."
            android:textColor="@android:color/black"
            
            />
                
    </RelativeLayout>
    
  
</RelativeLayout>